Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error when opening Eclipse(When Eclipse installed repository and reopens there's a huge error)
Error when opening Eclipse [message #1774116] Tue, 10 October 2017 17:41 Go to next message
Scott Walker is currently offline Scott WalkerFriend
Messages: 5
Registered: October 2017
Junior Member
Hi all

So first time here and using Eclipse, hi! I am hoping to use Eclipse with the salesforce IDE which I installed and followed the salesforce guidance to the letter to do.

Now basically after installing from the repository and reopening I got a huge error which I have attached.

Now I am super new as in started to learn how to code so really don't understand anything. Can someone explain what I have to do in the simplest terms to get this to work? It would be massively appreciated.

  • Attachment: .log
    (Size: 255.78KB, Downloaded 12 times)
Re: Error when opening Eclipse [message #1774120 is a reply to message #1774116] Tue, 10 October 2017 18:22 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3023
Registered: July 2009
Senior Member

Did you look at the contents of the log file? Can you show us its contents?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Error when opening Eclipse [message #1774121 is a reply to message #1774120] Tue, 10 October 2017 18:37 Go to previous messageGo to next message
Scott Walker is currently offline Scott WalkerFriend
Messages: 5
Registered: October 2017
Junior Member
Hi there Nitin

I actually did link it if you take a look. Its an attachment called .log
Re: Error when opening Eclipse [message #1774124 is a reply to message #1774121] Tue, 10 October 2017 18:50 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3023
Registered: July 2009
Senior Member

My mistake. You're using Java 9 to run an older release of Eclipse that isn't set up for Java 9 (there's over a year in between when the two were released). Check https://wiki.eclipse.org/Configure_Eclipse_for_Java_9#Configure_Eclipse_to_run_on_Java_9_VM for instruction on how to fix that. Oxygen.1a will be the first one to properly support Java 9 on release.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Error message when installing eclipse ide
Next Topic:Source file management
Goto Forum:
  


Current Time: Sat Dec 16 20:44:53 GMT 2017

Powered by FUDForum. Page generated in 0.03087 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software